| Cabal-1.6.0.3: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.Text

Portability | portable
Maintainer | cabal-devel@haskell.org

Description
This defines a `Text` class which is a bit like the `Read` and `Show` classes. The difference is that is uses a modern pretty printer and parser system and the format is not expected to be Haskell concrete syntax but rather the external human readable representation used by Cabal.
Documentation

class Text a where | Source

Methods

disp :: a -> Doc | Source

parse :: ReadP r a | Source

Instances

Text Bool
Text Version
Text VersionWildcard
Text VersionRange
Text Extension
Text Platform
Text Arch
Text OS
Text Dependency
Text PackageIdentifier
Text PackageName
Text ModuleName
Text License
Text CompilerId
Text CompilerFlavor
Text RepoType
Text RepoKind
Text BuildType

display :: Text a => a -> String | Source

simpleParse :: Text a => String -> Maybe a | Source

Produced by Haddock version 2.4.2